Bug Hunting Session
Bug 82312 - Excel chart has a wrong size
Summary: Excel chart has a wrong size
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All All
: medium normal
Assignee: Noel Grandin
URL:
Whiteboard: target:4.5.0 target:4.4.0.0.beta3 tar...
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2014-08-08 00:26 UTC by Urmas
Modified: 2015-12-17 08:29 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Excel file (14.50 KB, application/x-msexcel)
2014-08-08 00:26 UTC, Urmas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2014-08-08 00:26:21 UTC
Created attachment 104250 [details]
Excel file

Opening this file, the chart has wrong (HUGE) size.
Comment 1 Joel Madero 2014-08-08 05:15:50 UTC
Confirmed:
Bodhi Linux 2.x
LibreOffice 4.3.0.4 release

0ba7aa31925076b87d218c69ddc00d67604a2320 is the first bad commit
commit 0ba7aa31925076b87d218c69ddc00d67604a2320
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Sun May 11 12:21:52 2014 +0000

    source-hash-6364a3ec6f92fc1f4ac3c7a4e2bdce2a2140c736
    
    commit 6364a3ec6f92fc1f4ac3c7a4e2bdce2a2140c736
    Author:     Takeshi Abe <tabe@fixedpoint.jp>
    AuthorDate: Thu Feb 13 10:40:30 2014 +0900
    Commit:     Takeshi Abe <tabe@fixedpoint.jp>
    CommitDate: Thu Feb 13 10:42:33 2014 +0900
    
        Drop unnecessary #include
    
        Change-Id: I9bc9c21811100d6cc1ee7e381a3735567e3bda34

:100644 100644 ed35f89410da5497ace1fff13aa7a3d27e82cf69 579428ae183c929b842b444ea96427192886717b M	ccache.log
:100644 100644 6f1ccb7662d3cab2f48c8ccb760d51de6c426f0c 1d6532b69da491b904f0d5c0af3ecf5578460218 M	commitmsg
:100644 100644 585ffbe4ddeb17c0d04ea1a2a501952ce02c70ad a8d0afb5ab7c3ef6244322dd7028f7d41d700a8f M	make.log
:040000 040000 51e1c0b302d3d0fe07a111910298f4678ef6e751 23884cbd25c4aa9e6b91d86769f5b3dc16e89206 M	opt

# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [e02439a3d6297a1f5334fa558ddec5ef4212c574] source-hash-6b8393474974d2af7a2cb3c47b3d5c081b550bdb
git bisect good e02439a3d6297a1f5334fa558ddec5ef4212c574
# good: [4850941efe43ae800be5c76e1102ab80ac2c085d] source-hash-980a6e552502f02f12c15bfb1c9f8e6269499f4b
git bisect good 4850941efe43ae800be5c76e1102ab80ac2c085d
# bad: [a900e72b6357882284c5955bdf939bf14269f5fb] source-hash-dd1050b182260a26a1d0ba6d0ef3a6fecc3f4e07
git bisect bad a900e72b6357882284c5955bdf939bf14269f5fb
# good: [e1d0365cd2b073a859f59ad0a4584385a66dc611] source-hash-2eea96c702a44ab009743b0d22ef639127f0b57b
git bisect good e1d0365cd2b073a859f59ad0a4584385a66dc611
# skip: [8f55938c891ee3e4c252b193dba9419f130537bc] source-hash-93f3f72d18e551c8edd6a010cb78d9cbe404f8ef
git bisect skip 8f55938c891ee3e4c252b193dba9419f130537bc
# bad: [7518fcaf863962bf4f6f3cdf84f6e42f0f59225f] source-hash-ab1f5eab4830f00dbbd7c883b98b59975ecd3bb1
git bisect bad 7518fcaf863962bf4f6f3cdf84f6e42f0f59225f
# bad: [2e56ba511184c20aa8ada64d35e9f1d27d596790] source-hash-8be2cbc856fb5ba61203872d8f01ed8162aa4256
git bisect bad 2e56ba511184c20aa8ada64d35e9f1d27d596790
# bad: [4cb28129efbb5aaf54b37ea5eab772c822a80298] source-hash-9bf907a8278cecd816368db7b8c4ab745a914a59
git bisect bad 4cb28129efbb5aaf54b37ea5eab772c822a80298
# bad: [0ba7aa31925076b87d218c69ddc00d67604a2320] source-hash-6364a3ec6f92fc1f4ac3c7a4e2bdce2a2140c736
git bisect bad 0ba7aa31925076b87d218c69ddc00d67604a2320
# good: [3c72d6d27e2a0c420f74941355400b0834c550bb] source-hash-c30677731c55688c764a669ecea1b1c4d17ae57d
git bisect good 3c72d6d27e2a0c420f74941355400b0834c550bb
# good: [59a34b8f985fd1242968c9c1b31c37888dc6cabb] source-hash-7fb6ae28ae7bebd67c2b9bf2cf517f1f7bb2777e
git bisect good 59a34b8f985fd1242968c9c1b31c37888dc6cabb
# good: [de7308548013b3d8b80999975c564fc17de6707d] source-hash-e414cdbf3321d579537b372d815d50c31195ecc3
git bisect good de7308548013b3d8b80999975c564fc17de6707d
Comment 2 Andras Timar 2014-11-25 09:30:53 UTC
first bad commit:
commit 0c7f35277575fee8594737f5b2842dfac2c6d04f
Author: Noel Grandin <noel@peralex.com>
Date:   Fri Feb 7 11:53:18 2014 +0200

    remove SvStream::operator>> methods
    
    in favour of ReadXXX methods.
    
    Change-Id: Ic2c0a7b6b92ff4c236ae99b39d77f3d935b301e3
    Reviewed-on: https://gerrit.libreoffice.org/7915
    Tested-by: Michael Stahl <mstahl@redhat.com>
    Reviewed-by: Michael Stahl <mstahl@redhat.com>
Comment 3 Noel Grandin 2014-11-26 14:04:49 UTC
I am looking at this. It has something to do with the change in xlescher.hxx, and the code not calling the stream read method.
Comment 4 Commit Notification 2014-12-09 12:46:40 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6b5481c0260343800518192918ddf932ee5ae527

fdo#82312 - Excel chart has a wrong size

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-12-09 12:49:14 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=58277b4039d7cbdcc4a2de11bd16b9d09d825bc4&h=libreoffice-4-4

fdo#82312 - Excel chart has a wrong size

It will be available in 4.4.0.0.beta3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-12-09 12:51:40 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d255f53044908773ef0701c2560dadb7df5f1c3e&h=libreoffice-4-3

fdo#82312 - Excel chart has a wrong size

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-17 08:29:39 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]